Find the answer to your Linux question:
Results 1 to 6 of 6
Hi folks, Ubuntu 7.04 desktop Firefox "Browser NOT support"!!! "Install Internet Explorer"!!! I encountered this problem several years ago on visiting some websites with "Mozilla" and/or Konqueror". I found a ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Linux Guru
    Join Date
    Sep 2004
    Posts
    1,763

    Browser not supported !!!


    Hi folks,

    Ubuntu 7.04 desktop
    Firefox


    "Browser NOT support"!!! "Install Internet Explorer"!!!

    I encountered this problem several years ago on visiting some websites with "Mozilla" and/or Konqueror". I found a solution suggested by a folk on Internet which can config Mozilla and Konqueror simulating as IE overcoming such a barrier. Now I encountered the same problem again using Firefox visiting some websites. Unfortunately I can't find the said website again.

    On googling it suggests to install "ies4linux". It requires "wine". (I don't have it running on this box) Other than that suggestion are there any other solutions. TIA


    B.R.
    satimis

  2. #2
    Linux Engineer
    Join Date
    Nov 2004
    Location
    home
    Posts
    796
    https://addons.mozilla.org/en-US/firefox/addon/59

    User Agent Switcher is a Firefox extension to make it look like IE

  3. #3
    Linux Guru
    Join Date
    Sep 2004
    Posts
    1,763
    Quote Originally Posted by valan View Post
    https://addons.mozilla.org/en-US/firefox/addon/59

    User Agent Switcher is a Firefox extension to make it look like IE
    Hi valan,


    Already tried but w/o result. An empty page popup saying, Applet detectVM started ...


    satimis

  4. #4
    Linux Guru
    Join Date
    Sep 2004
    Posts
    1,763

    Solved

    Hi folks,


    I solved my problem with ies4linux.

    I installed it by following;
    Installation: Ubuntu
    Installation:Ubuntu - IEs4Linux

    and JVM on;
    Mathieu Bonnet's posting on Dec 13, 2006
    IEs 4 Linux Forum :: View topic - No JVM?

    That site I was trying to visit operated by a local Jockey Club for charity, under Government supervision. It is a legal site.

    I'm NOT interested to register online betting. Additionally it needs e-certificate on registration which has to be purchased on local Post Office.

    Curiosity pushes me to start this thread. Several year ago I encountered the same problem on online banking. It also required M$ IE to work. Finally I made mozilla/konqueror/Opera to work instead. (I can't recall exactly which of them) My bank refused to entertain my request adding mozilla to my a/c as browser on the ground of security.

    It seems to me that Bill Gates is trying to push us back to M$ Windows.


    B.R.
    satimis

  5. #5
    Linux Newbie Tutku's Avatar
    Join Date
    Jul 2007
    Location
    Izmir / Turkey
    Posts
    167
    with opera you can switch your browser type, and you can simulate as IE, mozilla etc.

  6. #6
    Linux Guru
    Join Date
    Sep 2004
    Posts
    1,763
    Quote Originally Posted by Tutku View Post
    with opera you can switch your browser type, and you can simulate as IE, mozilla etc.
    Hi Tutku,


    Sorry, no I tried before.

    Opera 9.22
    Tools --> Quick References --> Edit site preferences --> Network --> Browser Identification;
    select "Identified as IE6"/"Masked ad IE6"

    roload/restarted Opera.

    On Opera
    address:about:opera

    about:opera
    Code:
    Version information
    Version                   9.22 
    Build                       655
    Platform	                Linux
    System                    i686, 2.6.20-16-generic
    Qt library                 3.3.7
    Java                         Java Runtime Environment installed
    
    Browser identification
                                   Opera/9.22 (X11; Linux i686; U; en)
    Not as "Internet Explorer" ever after reload and restart.


    $ ls -al ~/ | grep .opera
    Code:
    drwx------ 10 satimis satimis      4096 2007-08-01 15:48 .opera
    $ ls -al ~/.opera/ | grep override.ini
    Code:
    -rw-r--r--  1 satimis satimis   424 2007-08-01 15:40 override.ini
    I need not to be as root to make this change???


    B.R.
    satimis

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •